package flightinspectionfilechecklist

import "context"

type Repository interface {
	Create(ctx context.Context, row *FlightInspectionFileChecklist) error
	Update(ctx context.Context, row *FlightInspectionFileChecklist) error
	Delete(ctx context.Context, id []byte) error
	GetByID(ctx context.Context, id []byte) (*FlightInspectionFileChecklist, error)
	List(ctx context.Context, filter string, sort string, limit, offset int) ([]FlightInspectionFileChecklist, int64, error)
	ListByInspectionID(ctx context.Context, inspectionID []byte) ([]FlightInspectionFileChecklist, error)
	FlightInspectionExists(ctx context.Context, inspectionID []byte) (bool, error)
	HelicopterFileExists(ctx context.Context, helicopterFileID []byte) (bool, error)
}
